export interface MdEditorOption {
    showPreviewPanel?: boolean;
    showBorder?: boolean;
    hideIcons?: Array<string>;
    usingFontAwesome5?: boolean;
    fontAwesomeVersion?: '4' | '5' | '6';
    scrollPastEnd?: number;
    enablePreviewContentClick?: boolean;
    resizable?: boolean;
    markedjsOpt?: MarkedjsOption;
    customRender?: CustomRender;
    customIcons?: {
        Bold?: CustomIcon;
        Italic?: CustomIcon;
        Heading?: CustomIcon;
        Reference?: CustomIcon;
        Link?: CustomIcon;
        Image?: CustomIcon;
        UnorderedList?: CustomIcon;
        OrderedList?: CustomIcon;
        CodeBlock?: CustomIcon;
        ShowPreview?: CustomIcon;
        HidePreview?: CustomIcon;
        FullScreen?: CustomIcon;
        CheckBox_UnChecked?: CustomIcon;
        CheckBox_Checked?: CustomIcon;
    };
}
export interface UploadResult {
    isImg: boolean;
    name: string;
    url: string;
}
export interface MarkedjsOption {
    baseUrl?: string;
    breaks?: boolean;
    gfm?: boolean;
    headerIds?: boolean;
    headerPrefix?: string;
    langPrefix?: string;
    mangle?: boolean;
    pedantic?: boolean;
    sanitize?: boolean;
    sanitizer?: Function;
    silent?: boolean;
    smartLists?: boolean;
    smartypants?: boolean;
    tables?: boolean;
    xhtml?: boolean;
}
export interface CustomRender {
    image?: Function;
    table?: Function;
    code?: Function;
    listitem?: Function;
}
export interface CustomIcon {
    fontClass: string;
}
export declare const DEFAULT_ICONS: {
    fontAwesome4: {
        Bold: {
            fontClass: string;
        };
        Italic: {
            fontClass: string;
        };
        Heading: {
            fontClass: string;
        };
        Reference: {
            fontClass: string;
        };
        Link: {
            fontClass: string;
        };
        Image: {
            fontClass: string;
        };
        UnorderedList: {
            fontClass: string;
        };
        OrderedList: {
            fontClass: string;
        };
        CodeBlock: {
            fontClass: string;
        };
        ShowPreview: {
            fontClass: string;
        };
        HidePreview: {
            fontClass: string;
        };
        FullScreen: {
            fontClass: string;
        };
        CheckBox_UnChecked: {
            fontClass: string;
        };
        CheckBox_Checked: {
            fontClass: string;
        };
    };
    fontAwesome5: {
        Bold: {
            fontClass: string;
        };
        Italic: {
            fontClass: string;
        };
        Heading: {
            fontClass: string;
        };
        Reference: {
            fontClass: string;
        };
        Link: {
            fontClass: string;
        };
        Image: {
            fontClass: string;
        };
        UnorderedList: {
            fontClass: string;
        };
        OrderedList: {
            fontClass: string;
        };
        CodeBlock: {
            fontClass: string;
        };
        ShowPreview: {
            fontClass: string;
        };
        HidePreview: {
            fontClass: string;
        };
        FullScreen: {
            fontClass: string;
        };
        CheckBox_UnChecked: {
            fontClass: string;
        };
        CheckBox_Checked: {
            fontClass: string;
        };
    };
    fontAwesome6: {
        Bold: {
            fontClass: string;
        };
        Italic: {
            fontClass: string;
        };
        Heading: {
            fontClass: string;
        };
        Reference: {
            fontClass: string;
        };
        Link: {
            fontClass: string;
        };
        Image: {
            fontClass: string;
        };
        UnorderedList: {
            fontClass: string;
        };
        OrderedList: {
            fontClass: string;
        };
        CodeBlock: {
            fontClass: string;
        };
        ShowPreview: {
            fontClass: string;
        };
        HidePreview: {
            fontClass: string;
        };
        FullScreen: {
            fontClass: string;
        };
        CheckBox_UnChecked: {
            fontClass: string;
        };
        CheckBox_Checked: {
            fontClass: string;
        };
    };
};
